net.dontdrinkandroot.persistence.predicatebuilder

## Interface PredicateBuilder<E>

Type Parameters:
  `E` - Type of the `Entity` to build the `Predicate` for.

All Known Implementing Classes:
  NullPredicateBuilder, NumericPredicateBuilder

    public interface PredicateBuilder<E>

A PredicateBuillder is an abstraction to generate a `Predicate` for an `Entity`.

Author:
  Philip W. Sorst <philip@sorst.net>

### Method Summary

Methods
`javax.persistence.criteria.Predicate` `createPredicate(javax.persistence.criteria.CriteriaBuilder builder, javax.persistence.criteria.Path<? extends E> path)` Builds a predicate with the given builder that is derived from the given path.

### Method Detail

#### createPredicate

    javax.persistence.criteria.Predicate createPredicate(javax.persistence.criteria.CriteriaBuilder builder,
                                                       javax.persistence.criteria.Path<? extends E> path)

Builds a predicate with the given builder that is derived from the given path.